org.apache.hadoop.yarn.server.api.protocolrecords

## Class GetTimelineCollectorContextResponse

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.GetTimelineCollectorContextResponse

- Direct Known Subclasses:
    GetTimelineCollectorContextResponsePBImpl

      public abstract class GetTimelineCollectorContextResponse
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetTimelineCollectorContextResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getFlowName()`
    `abstract long` | `getFlowRunId()`
    `abstract String` | `getFlowVersion()`
    `abstract String` | `getUserId()`
    `static GetTimelineCollectorContextResponse` | `newInstance(String userId, String flowName, String flowVersion, long flowRunId)`
    `abstract void` | `setFlowName(String flowName)`
    `abstract void` | `setFlowRunId(long flowRunId)`
    `abstract void` | `setFlowVersion(String flowVersion)`
    `abstract void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetTimelineCollectorContextResponse

          public GetTimelineCollectorContextResponse()

  - ### Method Detail

    - #### newInstance

          public static GetTimelineCollectorContextResponse newInstance(String userId,
                                                                        String flowName,
                                                                        String flowVersion,
                                                                        long flowRunId)

    - #### getUserId

          public abstract String getUserId()

    - #### setUserId

          public abstract void setUserId(String userId)

    - #### getFlowName

          public abstract String getFlowName()

    - #### setFlowName

          public abstract void setFlowName(String flowName)

    - #### getFlowVersion

          public abstract String getFlowVersion()

    - #### setFlowVersion

          public abstract void setFlowVersion(String flowVersion)

    - #### getFlowRunId

          public abstract long getFlowRunId()

    - #### setFlowRunId

          public abstract void setFlowRunId(long flowRunId)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.